# Contribution Guidelines

This is a compilation of **Free and Libre Open Source Software ([FLOSS](https://en.wikipedia.org/wiki/Free_and_open-source_software))**. Restrictive licenses (aka Freeware, Shareware) are *not awesome*. Please adhere to the following guidelines or your Pull Request will be closed.

## Commits

* Search previous suggestions before making a new one.
* Use the following format: `[RESOURCE](LINK) - DESCRIPTION.`
  * Keep descriptions short (<80 characters).
  * End descriptions with a full stop.
* Make an individual commit for each category.
  * Order projects alphabetically.

## Pull Requests

* Consolidate multiple commits.
* Use imperative (e.g. add instead of added/adding) in the PR title.
* Include application names, categories and a link to the open source project page in the description.
* Write a short text why the application you're adding is actually awesome.
  * Put only stuff on the list you or another contributor can personally recommend
  * Recommending your own software is discouraged.
